ONECLUSTER(1)

NAME
onecluster

SYNOPSIS
onecluster command [args] [options]

OPTIONS
 -l, --list x,y,z          Selects columns to display with list command
 -d, --delay x             Sets the delay in seconds for top command
 -x, --xml                 Show the resource in xml format
 -n, --numeric             Do not translate user and group IDs
 --describe                Describe list columns
 -v, --verbose             Verbose mode
 -h, --help                Show this message
 -V, --version             Show version and copyright information

COMMANDS

•   create name

    Creates a new Cluster

•   delete range|clusterid_list

    Deletes the given Cluster

•   list

    Lists Clusters in the pool
    valid options: list, delay, xml, numeric, describe

•   show clusterid

    Shows information for the given Cluster
    valid options: xml

•   addhost clusterid hostid

    Adds a Host to the given Cluster

•   delhost clusterid hostid

    Deletes a Host from the given Cluster

•   adddatastore clusterid datastoreid

    Adds a Datastore to the given Cluster

•   deldatastore clusterid datastoreid

    Deletes a Datastore from the given Cluster

•   addvnet clusterid vnetid

    Adds a Virtual Network to the given Cluster

•   delvnet clusterid vnetid

    Deletes a Virtual Network from the given Cluster

•   update clusterid [file]

    Update the template contents. If a path is not provided the editor will
    be launched to modify the current content.

ARGUMENT FORMATS

•   file

    Path to a file

•   range

    List of id's in the form 1,8..15

•   text

    String

•   clusterid

    OpenNebula CLUSTER name or id

•   clusterid_list

    Comma-separated list of OpenNebula CLUSTER names or ids

•   vnetid

    OpenNebula VNET name or id

•   hostid

    OpenNebula HOST name or id

•   datastoreid

    OpenNebula DATASTORE name or id

LICENSE
OpenNebula 3.8.3 Copyright 2002-2013, OpenNebula Project Leads (OpenNebula.org)

Licensed under the Apache License, Version 2.0 (the "License"); you may not use this file except in compliance with the License. You may obtain a copy of the License at http://www.apache.org/licenses/LICENSE-2.0